/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worklog.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workclientinfo.dao.WorkClientAttachmentDao;
import com.jeeplus.modules.worklog.dao.WorkMeetingDao;
import com.jeeplus.modules.worklog.entity.WorkMeeting;
import com.jeeplus.modules.worklog.dao.WorkMeetingDao;
import com.jeeplus.modules.worklog.entity.WorkMeeting;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Service
@Transactional(readOnly = true)
public class WorkMeetingService extends CrudService<WorkMeetingDao, WorkMeeting> {

	@Autowired
	private WorkMeetingDao workMeetingDao;
	@Autowired
	private WorkClientAttachmentDao workClientAttachmentDao;

	public WorkMeeting get(String id) {
		WorkMeeting workMeeting =  super.get(id);
		return workMeeting;
	}
	
	public List<WorkMeeting> findList(WorkMeeting workMeeting) {
		return super.findList(workMeeting);
	}
	
	public Page<WorkMeeting> findPage(Page<WorkMeeting> page, WorkMeeting workMeeting) {
		return super.findPage(page, workMeeting);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkMeeting workMeeting) {
		super.save(workMeeting);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkMeeting workMeeting) {
		super.delete(workMeeting);
	}


	public WorkMeeting findListByProId(WorkMeeting workMeeting){
		return workMeetingDao.findListByProId(workMeeting);
	}
	
}